Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHPduOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              java.io.DataOutputStream
                  com.mindbright.ssh.SSHDataOutputStream
                      com.mindbright.ssh.SSHPduOutputStream

All Implemented Interfaces:
  java.io.DataOutput, SSHPdu

public final class SSHPduOutputStream
extends SSHDataOutputStream
implements SSHPdu

Nested Class Summary
`static class` | `SSHPduOutputStream.PduByteArrayOutputStream`

Field Summary
`SSHCipher` | `cipher`
`SSHCompressor` | `compressor`
`static int` | `mtu`
`SecureRandomAndPad` | `rand`
`static int` | `SSH_DEFAULT_PKT_LEN`
`int` | `type`

Fields inherited from class java.io.DataOutputStream
`written`

Fields inherited from class java.io.FilterOutputStream
`out`

Method Summary
`SSHPdu` | `createPdu()`
`SSHPduOutputStream.PduByteArrayOutputStream` | `getOut()`
`void` | `rawAdjustSize(int size)`
`byte[]` | `rawData()`
`int` | `rawOffset()`
`void` | `rawSetData(byte[] raw)`
`int` | `rawSize()`
`void` | `readFrom(java.io.InputStream in)`
`static void` | `setMTU(int newMtu)`
`void` | `writeTo(java.io.OutputStream sshOut)`

Methods inherited from class com.mindbright.ssh.SSHDataOutputStream
`writeBigInteger, writeString`

Methods inherited from class java.io.DataOutputStream
`flush, size, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Methods inherited from class java.io.FilterOutputStream
`close, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.DataOutput
`write`

Field Detail

### SSH_DEFAULT_PKT_LEN

    public static final int SSH_DEFAULT_PKT_LEN

See Also:
  Constant Field Values

### mtu

    public static int mtu

### type

    public int type

### cipher

    public SSHCipher cipher

### compressor

    public SSHCompressor compressor

### rand

    public SecureRandomAndPad rand

Method Detail

### setMTU

    public static void setMTU(int newMtu)

### createPdu

    public SSHPdu createPdu()
                     throws java.io.IOException

  Specified by:
    `createPdu` in interface `SSHPdu`
  Throws:
    `java.io.IOException`

### readFrom

    public void readFrom(java.io.InputStream in)
                  throws java.io.IOException

  Specified by:
    `readFrom` in interface `SSHPdu`
  Throws:
    `java.io.IOException`

### writeTo

    public void writeTo(java.io.OutputStream sshOut)
                 throws java.io.IOException

  Specified by:
    `writeTo` in interface `SSHPdu`
  Throws:
    `java.io.IOException`

### getOut

    public SSHPduOutputStream.PduByteArrayOutputStream getOut()

### rawData

    public byte[] rawData()

  Specified by:
    `rawData` in interface `SSHPdu`

### rawSetData

    public void rawSetData(byte[] raw)

  Specified by:
    `rawSetData` in interface `SSHPdu`

### rawOffset

    public int rawOffset()

  Specified by:
    `rawOffset` in interface `SSHPdu`

### rawSize

    public int rawSize()

  Specified by:
    `rawSize` in interface `SSHPdu`

### rawAdjustSize

    public void rawAdjustSize(int size)

  Specified by:
    `rawAdjustSize` in interface `SSHPdu`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD